package hilfsklassen;

import java.util.ArrayList;
import java.util.List;

public class Sortierer3<T extends Comparable<T>> implements MeinSortierer<T> {

	@Override
	public List<T> sortieren(List<T> list) {
		if (list.isEmpty())
			return list;
		List<T> ergebnis = new ArrayList<T>();
		boolean found = true;
		while (found) {
			T min = list.get(0);
			for (T e : list)
				if (min.compareTo(e) < 0)
					min = e;
			if ((!ergebnis.isEmpty() && min
					.equals(ergebnis.get(ergebnis.size() - 1)))
					|| list.size() == 1)
				found = false;
			else {
				ergebnis.add(min);
				list.remove(min);
			}
		}
		return ergebnis;
	}

}
